package cn.winhc.elasticsearch.plugin.analyzer;

import cn.winhc.elasticsearch.plugin.handle.Text2Tokenizer;
import cn.winhc.elasticsearch.plugin.tokenizer.WinhcTokenizer;
import org.apache.lucene.analysis.Analyzer;

/**
 * @author: XuJiakai
 * 2021/11/8 10:00
 */
public class WinhcAnalyzer extends Analyzer {
    private Text2Tokenizer text2Tokenizer;

    public WinhcAnalyzer(Text2Tokenizer text2Tokenizer) {
        super();
        this.text2Tokenizer = text2Tokenizer;
    }

    @Override
    protected TokenStreamComponents createComponents(String s) {
        return new TokenStreamComponents(new WinhcTokenizer(text2Tokenizer));
    }
}
